Update a billogram object
Update a billogram object
- Type: stringidrequired
Billogram ID
- Type: object ·customerrequired
Specifies the customer that is being invoiced
- Type: array object[] ·itemsrequired
Array of the items that are being invoiced for.
- Type: stringattachment
The name of the file attached to the billogram. This value is null if no attachment is found.
- Type: stringFormat: byteattachment
_content Base64 encoded content of the attachment file. Used when uploading attachments via API.
- Type: object ·automatic
_collection Automatic collection settings for this billogram. If set up, the billogram will be automatically sent to collection if still unpaid after a set amount of days since due date / last reminder. Requires a collection agreement.
- Type: booleanautomatic
_reminders Whether to use automatic reminders or not for this billogram. Uses automatic_reminders_settings if specified, otherwise uses business account's settings. If set to false no automatic reminders at all will be sent for this billogram.
- Type: array object[] ·automatic
_reminders _settings Set of late payment reminders to use for this billogram. If this parameter is submitted it will default automatic_reminders to a true value, unless automatic_reminders is sent in the same request. If set to empty array [] it forces automatic_reminders to be set as false regardless of what was specified in the request data. If set to null business account's default settings are used for this billogram.
- Type: object ·callbacks
Requests for the Billogram service to actively call back when an event occurs on the billogram.
- Type: object ·contract
Contract settings associated with the billogram.
- Type: stringcreditor
_unique _value max length:40When creating a billogram, this field can be set to ensure that the same unique value cannot be used when creating another billogram later on. Use this value to send in your order number, your own invoice number or any other unique reference to avoid creating the same invoice twice by mistake. The field needs to be a case insensitive string or numeric value, and will return null if left out. Available characters are a-z, A-Z, 0-9, space and/or any of the following: ,.;:/()[]&%!#^'"*+=?_<>-
- Type: stringenumcurrency
Currency the invoice is billed in. Its value is enforced by the registration country of the creditor.
values- S
E K - N
O K - D
K K - E
U R - U
S D - C
N Y - R
U B - T
R Y
- detailed
_sums These are the same summary values that we show in the Billogram web frontend when you're viewing an invoice
- collectorType: number
_paid _sum - creditedType: number
_sum - grossType: number
_sum - interestType: number
_fee - invoiceType: number
_fee - invoiceType: number
_fee _vat - netType: number
_sum - paidType: number
_sum - regionalType: object
_sweden - remainingType: number
_sum - reminderType: number
_fee - roundingType: number
- vatType: number
_sum
- application/json
- application/json
- application/json
- application/json
- application/json
curl 'https://sandbox.billogram.com/api/v2/billogram/{id}' \
--request PUT \
--header 'Content-Type: application/json' \
--header 'Authorization: Basic username:password' \
--data '{
"invoice_no": 1,
"ocr_number": "",
"creditor_unique_value": "",
"customer": {
"customer_no": 1,
"org_no": "",
"name": "",
"email": "",
"vat_no": "",
"phone": "",
"address": {
"careof": "",
"use_careof_as_attention": true,
"attention": "",
"address_line_1": "",
"address_line_2": "",
"address_line_3": "",
"administrative_area": "",
"dependent_locality": "",
"organization": "",
"sorting_code": "",
"zipcode": "",
"city": "",
"country": "SE"
},
"delivery_address": {
"name": "",
"address_line_1": "",
"address_line_2": "",
"address_line_3": "",
"administrative_area": "",
"dependent_locality": "",
"organization": "",
"sorting_code": "",
"careof": "",
"attention": "",
"zipcode": "",
"city": "",
"country": ""
},
"permanent_establishment_address": {
"name": "",
"additional_name": "",
"family_name": "",
"address_line_1": "",
"address_line_2": "",
"address_line_3": "",
"administrative_area": "",
"dependent_locality": "",
"organization": "",
"sorting_code": "",
"zipcode": "",
"city": "",
"country": ""
},
"edi": {
"electronic_id": 1,
"operator": "addett",
"reference": "",
"note": ""
}
},
"items": [
{
"item_no": "",
"count": 1,
"title": "",
"description": "",
"unit": "",
"price": 1,
"vat": 1,
"discount": 1,
"start_date": "",
"end_date": "",
"external_id": null,
"bookkeeping": {
"income_account": "",
"vat_account": "",
"objects": [
{
"dimension_id": 1,
"object_id": "",
"dimension_name": "",
"object_name": ""
}
]
},
"regional_sweden": {
"rotavdrag": true,
"electricity_collection": {
"kommunkod": 1,
"naringsidkare": true,
"avflyttad": true,
"avflyttad_datum": "",
"frankopplad": true,
"frankopplad_datum": "",
"anladr": "",
"natom": "",
"arsforb": 1,
"anlid": "",
"kravmall": "",
"plombkod": "",
"slutfaktura": true,
"objtyp": 1,
"faktforb": 1,
"faktfrek": 1,
"nyttighet": "EL"
}
}
}
],
"invoice_date": "",
"due_date": "",
"due_days": 30,
"reminder_due_days": 1,
"respite_date": "",
"invoice_fee": 1,
"invoice_fee_vat": 1,
"reminder_fee": 1,
"interest_rate": 8.5,
"currency": "SEK",
"info": {
"order_no": "",
"order_date": "",
"our_reference": "",
"your_reference": "",
"shipping_date": "",
"delivery_date": "",
"reference_number": "",
"footer_text": "",
"message": ""
},
"regional_sweden": {
"rotavdrag": 1,
"rotavdrag_personal_number": "",
"rotavdrag_description": "",
"rotavdrag_description_of_property": "",
"rotavdrag_apartment_designation": "",
"rotavdrag_housing_association_org_no": "",
"autogiro_betalarnummer": "",
"autogiro_payment_date": "",
"autogiro_status": "",
"autogiro_full_status": "",
"autogiro_total_sum": 1
},
"automatic_reminders": true,
"automatic_reminders_settings": [
{
"delay_days": 1,
"message": "",
"type": "STANDARD"
}
],
"callbacks": {
"url": "",
"custom": "",
"sign_key": ""
},
"detailed_sums": {
"credited_sum": 1,
"net_sum": 1,
"gross_sum": 1,
"invoice_fee_vat": 1,
"paid_sum": 1,
"interest_fee": 1,
"vat_sum": 1,
"reminder_fee": 1,
"invoice_fee": 1,
"rounding": 1,
"regional_sweden": {
"rotavdrag_sum": 1
},
"collector_paid_sum": 1,
"remaining_sum": 1
},
"attachment": "",
"attachment_content": "",
"reference_invoice_no": "",
"reversed_vat": true,
"reversed_vat_reason": "",
"reversed_vat_reason_reference": "",
"automatic_collection": {
"delay_days": 1,
"amount": 50,
"use_default_settings": true
},
"contract": {
"start_date": "",
"end_date": ""
},
"self_billing_invoice": {
"type": "credit",
"serial_number": ""
},
"offer_invoice_info": {
"message": "",
"asset_id": ""
},
"dunning": {
"requested_segment": ""
},
"pdf": {
"template": "unified",
"slip_style": "normal"
},
"offers": [
{
"offer_id": ""
}
],
"on_success": {
"command": "send",
"method": "Email+Letter"
},
"registered_payments": {
"payments": [
{
"type": "MANUAL_PAYMENT",
"payment_amount": 1,
"payment_date": ""
}
]
},
"return_data": "compact"
}'
{
"status": "OK",
"data": {
"id": "2kAEEjE",
"invoice_no": 1,
"ocr_number": "string",
"creditor_unique_value": "string",
"customer": {
"customer_no": 1,
"org_no": "string",
"name": "string",
"email": "hello@example.com",
"vat_no": "string",
"phone": "string",
"address": {
"careof": "string",
"use_careof_as_attention": true,
"attention": "string",
"address_line_1": "string",
"address_line_2": "string",
"address_line_3": "string",
"administrative_area": "string",
"dependent_locality": "string",
"organization": "string",
"sorting_code": "string",
"zipcode": "string",
"city": "string",
"country": "SE"
},
"delivery_address": {
"name": "string",
"address_line_1": "string",
"address_line_2": "string",
"address_line_3": "string",
"administrative_area": "string",
"dependent_locality": "string",
"organization": "string",
"sorting_code": "string",
"careof": "string",
"attention": "string",
"zipcode": "string",
"city": "string",
"country": "string"
},
"permanent_establishment_address": {
"name": "string",
"additional_name": "string",
"family_name": "string",
"address_line_1": "string",
"address_line_2": "string",
"address_line_3": "string",
"administrative_area": "string",
"dependent_locality": "string",
"organization": "string",
"sorting_code": "string",
"zipcode": "string",
"city": "string",
"country": "string"
},
"edi": {
"electronic_id": 1,
"operator": "addett",
"reference": "string",
"note": "string"
}
},
"items": [
{
"item_no": "string",
"count": 1,
"title": "string",
"description": "string",
"unit": "string",
"price": 1,
"vat": 1,
"discount": 1,
"start_date": "2026-04-29",
"end_date": "2026-04-29",
"external_id": null,
"bookkeeping": {
"income_account": "string",
"vat_account": "string",
"objects": [
{
"dimension_id": 1,
"object_id": "string",
"dimension_name": "string",
"object_name": "string"
}
]
},
"regional_sweden": {
"rotavdrag": true,
"electricity_collection": {
"kommunkod": 1,
"naringsidkare": true,
"avflyttad": true,
"avflyttad_datum": "2026-04-29",
"frankopplad": true,
"frankopplad_datum": "2026-04-29",
"anladr": "string",
"natom": "string",
"arsforb": 1,
"anlid": "string",
"kravmall": "string",
"plombkod": "string",
"slutfaktura": true,
"objtyp": 1,
"faktforb": 1,
"faktfrek": 1,
"nyttighet": "EL"
}
}
}
],
"invoice_date": "2026-04-29",
"due_date": "2026-04-29",
"due_days": 30,
"reminder_due_days": 1,
"respite_date": "2026-04-29",
"invoice_fee": 1,
"invoice_fee_vat": 1,
"reminder_fee": 1,
"interest_rate": 8.5,
"interest_fee": 1,
"currency": "SEK",
"info": {
"order_no": "string",
"order_date": "2026-04-29",
"our_reference": "string",
"your_reference": "string",
"shipping_date": "string",
"delivery_date": "string",
"reference_number": "string",
"footer_text": "string",
"message": "string"
},
"regional_sweden": {
"rotavdrag": 1,
"rotavdrag_personal_number": "string",
"rotavdrag_description": "string",
"rotavdrag_description_of_property": "string",
"rotavdrag_apartment_designation": "string",
"rotavdrag_housing_association_org_no": "string",
"autogiro_betalarnummer": "string",
"autogiro_payment_date": "2026-04-29",
"autogiro_status": "string",
"autogiro_full_status": "string",
"autogiro_total_sum": 1
},
"delivery_method": "Email+Letter",
"state": "string",
"url": null,
"recipient_url": null,
"recipient_overview_url": null,
"flags": [
"string"
],
"events": [
{
"type": "AutogiroFailed",
"created_at": "string",
"event_uuid": "123e4567-e89b-12d3-a456-426614174000",
"billogram_id": "string",
"data": {
"amount": 1,
"full_status": "string"
}
}
],
"remaining_sum": 1,
"total_sum": 1,
"rounding_value": 1,
"automatic_reminders": true,
"automatic_reminders_settings": [
{
"delay_days": 1,
"message": "string",
"type": "STANDARD"
}
],
"reminder_count": 1,
"created_at": "2026-04-29T11:19:15.647Z",
"attested_at": "string",
"updated_at": "2026-04-29T11:19:15.647Z",
"callbacks": {
"url": "string",
"custom": "string",
"sign_key": "string"
},
"detailed_sums": {
"credited_sum": 1,
"net_sum": 1,
"gross_sum": 1,
"invoice_fee_vat": 1,
"paid_sum": 1,
"interest_fee": 1,
"vat_sum": 1,
"reminder_fee": 1,
"invoice_fee": 1,
"rounding": 1,
"regional_sweden": {
"rotavdrag_sum": 1
},
"collector_paid_sum": 1,
"remaining_sum": 1
},
"attachment": "string",
"attachment_content": "string",
"reference_invoice_no": "string",
"reversed_vat": true,
"reversed_vat_reason": "string",
"reversed_vat_reason_reference": "string",
"automatic_collection": {
"delay_days": 1,
"amount": 50,
"use_default_settings": true
},
"contract": {
"start_date": "2026-04-29",
"end_date": "2026-04-29"
},
"self_billing_invoice": {
"type": "credit",
"serial_number": "string"
},
"offer_invoice_info": {
"message": "string",
"asset_id": "string"
},
"dunning": {
"requested_segment": "string"
},
"pdf": {
"template": "unified",
"slip_style": "normal"
},
"offers": [
{
"offer_id": "string"
}
],
"on_success": {
"command": "send",
"method": "Email+Letter"
},
"return_data": "compact"
}
}